package com.muyu.data.source.client.config;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.data.source.domain.DataSource;
import com.muyu.data.source.domain.req.DataSourceQueryReq;
import com.muyu.data.source.remote.RemoteDataManagerService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;

import java.util.List;

/**
 * 初始化加载 DataSourceClientRunner
 *
 * @author DeKangLiu
 * Date 2024/5/9 21:00
 */
@Log4j2
public class DataSourceClientRunner implements ApplicationRunner {
    @Autowired
    private RemoteDataManagerService remoteDataManagerService;
    /**
     *
     * @param args
     * @throws Exception
     */
    @Override
    public void run(ApplicationArguments args) throws Exception {
        Result<List<DataSource>> dataSourceList = remoteDataManagerService.postList(new DataSourceQueryReq());
        log.info(dataSourceList);
    }
}
