package com.muyu.data.source.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 资产结构对象 AssetStructure
 *
 * @author DeKangLiu
 * on 2024/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AssetStructure{

    /**资产表id*/
    private Long id;

    /** 接入源名称 */
    private String accessSourceName;

    /** 数据来源系统名称 */
    private String dataSourceSystemName;

    /** 数据库名称 */
    private String databaseName;

    /**数据库表名*/
    private String databaseTableName;

    /**数据量*/
    private Integer dataVolume;

    /**数据条数*/
    private Integer dataQuantity;

    /**是否核心*/
    private String coreOrNot;

    /**类型*/
    private Integer type;

    /**主机地址*/
    private String hostAddress;

    /**主机端口*/
    private String hostPort;

    /**数据库用户名*/
    private String databaseUserName;

    /**数据库用户密码*/
    private String databaseUserPassword;

}
