package com.muyu.data.source.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 字典类型对象 DictionaryType
 *
 * @author DeKangLiu
 * on 2024/4/29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DictionaryType {

    /**字典类型ID*/
    private Integer id;

    /**资产结构ID*/
    private Integer structureId;

    /**字典名称*/
    private String dictionaryName;

    /**字典类型*/
    private String dictionaryType;

    /**字典状态（0正常 1停用）*/
    private Integer status;

    /**创建者*/
    private String createBy;

    /**创建时间*/
    private Date createTime;

    /**更新者*/
    private String updateBy;

    /**更新时间*/
    private Date updateTime;

    /**备注*/
    private String remark;

    /**字典数据对象*/
    private List<DictionaryData> dictionaryDataList;
}
