package com.muyu.data.source.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.data.source.domain.DataSource;
import com.muyu.data.source.domain.req.DataSourceQueryReq;
import com.muyu.data.source.remote.factory.DataManagerFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * 数据源管理远程调用 RemoteDataManagerService
 *
 * @author DeKangLiu
 * Date 2024/5/9 17:23
 */
@FeignClient(
        contextId = "RemoteSys",
        value = ServiceNameConstants.DATA_SOURCE_SERVICE,
        fallbackFactory = DataManagerFactory.class,
        path = "/source"
)

public interface RemoteDataManagerService {
    @PostMapping("/DataSourceList")
    public Result<List<DataSource>> postList(DataSourceQueryReq dataSourceQueryReq);
}
