package com.muyu.data.source.remote.factory;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.data.source.domain.DataSource;
import com.muyu.data.source.domain.req.DataSourceQueryReq;
import com.muyu.data.source.remote.RemoteDataManagerService;
import org.springframework.cloud.openfeign.FallbackFactory;

import java.util.List;

/**
 * 数据源熔断 DataManagerFactory
 *
 * @author DeKangLiu
 * Date 2024/5/9 17:32
 */
public class DataManagerFactory implements FallbackFactory<RemoteDataManagerService> {
    @Override
    public RemoteDataManagerService create(Throwable cause) {
        return new RemoteDataManagerService() {
            @Override
            public Result<List<DataSource>> postList(DataSourceQueryReq dataSourceQueryReq) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
