package com.muyu.ruleengine.domain;

import com.muyu.ruleengine.domain.req.EngineversionEditReq;
import com.muyu.ruleengine.domain.req.EngineversionSaveReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 引擎维护对象 EngineVersion
 *
 * @author DeKangLiu
 * on 2024/5/7
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Engineversion {
    /**引擎维护id*/
    private Long id;

    /**规则引擎id*/
    private Integer ruleId;

    /**版本编码*/
    private String versionCode;

    /**版本名称*/
    private String name;

    /**版本code*/
    private String code;

    /**是否激活*/
    private String isActivate;

    /**状态*/
    private String status;

    /**描述*/
    private String description;

    /**引擎描述*/
    private String codeIng;

    /**是否测试*/
    private String isTest;

    /**
     * 修改构造器
     */
    public static Engineversion editBuild( EngineversionEditReq engineversionEditReq)
    {
        return Engineversion.builder()
                .id(engineversionEditReq.getId())
                .ruleId(engineversionEditReq.getRuleId())
                .versionCode(engineversionEditReq.getVersionCode())
                .name(engineversionEditReq.getName())
                .code(engineversionEditReq.getCode())
                .isActivate(engineversionEditReq.getIsActivate())
                .status(engineversionEditReq.getStatus())
                .description(engineversionEditReq.getDescription())
                .codeIng(engineversionEditReq.getCodeIng())
                .build();
    }

}
