package com.muyu.ruleengine.domain.req;

import com.muyu.common.core.annotation.Excel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 规则引擎对象 ruleengine
 *
 * @author WangLei
 * @date 2024-04-24
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RuleengineEditReq", description = "规则引擎")
public class RuleengineEditReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 规则名称 */
    @ApiModelProperty(name = "规则名称", value = "规则名称")
    private String name;
    /** 引擎编码 */
    @Excel(name = "引擎编码")
    @ApiModelProperty(name = "引擎编码", value = "引擎编码")
    private String code;

    /** 规则类型 */
    @ApiModelProperty(name = "规则类型", value = "规则类型")
    private String type;

    /** 规则作用域 */
    @Excel(name = "规则作用域")
    @ApiModelProperty(name = "规则作用域", value = "规则作用域")
    private String level;
    /** 是否激活 */
    @ApiModelProperty(name = "是否激活", value = "是否激活")
    private String isActivate;

    /** 规则状态 */
    @ApiModelProperty(name = "规则状态", value = "规则状态")
    private String status;

    /** 规则描述 */
    @ApiModelProperty(name = "规则描述", value = "规则描述")
    private String description;

    /** 备注 */
    @Excel(name = "备注")
    @ApiModelProperty(name = "备注", value = "备注")
    private String remark;

    /** 编码 */
    @Excel(name = "编码")
    @ApiModelProperty(name = "编码", value = "编码")
    private String engineCode;

}
