package com.muyu.ruleengine.service;

import java.util.List;

import com.muyu.common.core.domain.Result;
import com.muyu.ruleengine.domain.Engineversion;
import com.muyu.ruleengine.domain.Ruleengine;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.ruleengine.domain.model.RuleContentModel;
import com.muyu.ruleengine.domain.req.RuleContentReq;

/**
 * 规则引擎Service接口
 *
 * @author WangLei
 * @date 2024-04-24
 */
public interface RuleengineService extends IService<Ruleengine> {
    /**
     * 查询规则引擎列表
     *
     * @param ruleengine 规则引擎
     * @return 规则引擎集合
     */
    public List<Ruleengine> list(Ruleengine ruleengine);

    Result compiler(RuleContentReq ruleContentReq);

    Result loader();

    Result<RuleContentModel> getRuleContent(Long ruleId);

    Result findRuleEngineById(Long id);

    Result addEngineversion(Engineversion engineversion);

    Result updateRuleActivate(Ruleengine ruleengine);

    Result updateRuleStatus(Ruleengine ruleengine);

    Result updateEngineCodeIng(Engineversion engineversion);
}
